WordPress.org

Support

Support » Plugins and Hacks » plugin activation warning

plugin activation warning

  • Tried activating the plug-in but it all of a sudden came up with “Warning: array_merge() [function.array-merge]: Argument #2 is not an array in /home/mbeusen/public_html/wp-includes/widgets.php on line 777”
    Unable to access wordpress or undo problem….

Viewing 5 replies - 1 through 5 (of 5 total)
  • ftp or use host’s file manager to rename the plugin
    this will deactivate it and let you log in to test

    How do you solve that problem after you’ve re-entered? I had the same thing happen over the weekend and I don’t know how to resolve it — exact same message, only with my website/file.

    I contacted my webhost and they suggested I deactivate/uninstall the plugin. This seems to have resolved the issue.

    Thanks, I did that already – the problem is the plug-in was working before the update of my theme. I am hoping to fix it somehow. Glad yours is fixed though.

    You need to complete your constructor function with an id_base and a name.

    So if your running php 5.3 (or <) then:
    function __construct() {
    parent::__construct($id_base = ‘xyz_’, $name = ‘My Simple Widget’);
    }

    or if you are not using php 5.3 or < then use the name of your class.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘plugin activation warning’ is closed to new replies.
Skip to toolbar